program Maior_Menor
    implicit none
    integer num, n, maior, menor, cont

    write(*,*) "Programa que le N numeros e determina qual o Maior e qual o Menor numero lido."
    write(*,*) 
    write(*,*) "Digite o valor de N"   
    read(*,*) n

    write(*,*) "Digite os N numeros, um em cada linha."
    read(*,*) num   !Le o 1o número
    maior = num     !Inicializa as variaveis maior e menor
    menor = num  
    do cont = 2, n, 1  ! le do 2o ao n-ésimo numero atualizando as variáveis maior e menor
      read(*,*) num
      
      if (num > maior) then
        maior = num
      end if
      
      if (num < menor) then
        menor = num
      end if
    end do  
          
    write(*,*) "Maior Numero Lido: ", maior
    write(*,*) "Menor Numero Lido: ", menor   

    stop

end program Maior_Menor